ServiceStats (Mule ESB 2.2.1 API)
Keywords: org.mule.module.management.mbean.ServiceStats class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.management.mbean
Class ServiceStats

    java.lang.Object
      org.mule.module.management.mbean.ServiceStats

All Implemented Interfaces:
  MBeanRegistration, ServiceStatsMBean

    public class ServiceStats

extends Object
implements ServiceStatsMBean, MBeanRegistration

`ServiceStats` TODO

Constructor Summary
`ServiceStats(ServiceStatistics statistics)`

Method Summary
`void` | `clearStatistics()`
`long` | `getAsyncEventsReceived()`
`long` | `getAsyncEventsSent()`
`long` | `getAverageExecutionTime()`
`long` | `getAverageQueueSize()`
`long` | `getExecutedEvents()`
`long` | `getExecutionErrors()`
`long` | `getFatalErrors()`
`long` | `getMaxExecutionTime()`
`long` | `getMaxQueueSize()`
`long` | `getMinExecutionTime()`
`String` | `getName()`
`long` | `getQueuedEvents()`
`long` | `getReplyToEventsSent()`
`ObjectName` | `getRouterInbound()`
`ObjectName` | `getRouterOutbound()`
`long` | `getSyncEventsReceived()`
`long` | `getSyncEventsSent()`
`long` | `getTotalEventsReceived()`
`long` | `getTotalEventsSent()`
`long` | `getTotalExecutionTime()`
`void` | `postDeregister()`
`void` | `postRegister(Boolean registrationDone)`
`void` | `preDeregister()`
`ObjectName` | `preRegister(MBeanServer server, ObjectName name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceStats

    public ServiceStats(ServiceStatistics statistics)

Method Detail

### clearStatistics

    public void clearStatistics()

  Specified by:
    `clearStatistics` in interface `ServiceStatsMBean`

### getAsyncEventsReceived

    public long getAsyncEventsReceived()

  Specified by:
    `getAsyncEventsReceived` in interface `ServiceStatsMBean`
  Returns:

### getAsyncEventsSent

    public long getAsyncEventsSent()

  Specified by:
    `getAsyncEventsSent` in interface `ServiceStatsMBean`
  Returns:

### getAverageExecutionTime

    public long getAverageExecutionTime()

  Specified by:
    `getAverageExecutionTime` in interface `ServiceStatsMBean`
  Returns:

### getAverageQueueSize

    public long getAverageQueueSize()

  Specified by:
    `getAverageQueueSize` in interface `ServiceStatsMBean`
  Returns:

### getExecutedEvents

    public long getExecutedEvents()

  Specified by:
    `getExecutedEvents` in interface `ServiceStatsMBean`
  Returns:

### getExecutionErrors

    public long getExecutionErrors()

  Specified by:
    `getExecutionErrors` in interface `ServiceStatsMBean`
  Returns:

### getFatalErrors

    public long getFatalErrors()

  Specified by:
    `getFatalErrors` in interface `ServiceStatsMBean`
  Returns:

### getMaxExecutionTime

    public long getMaxExecutionTime()

  Specified by:
    `getMaxExecutionTime` in interface `ServiceStatsMBean`
  Returns:

### getMaxQueueSize

    public long getMaxQueueSize()

  Specified by:
    `getMaxQueueSize` in interface `ServiceStatsMBean`
  Returns:

### getMinExecutionTime

    public long getMinExecutionTime()

  Specified by:
    `getMinExecutionTime` in interface `ServiceStatsMBean`
  Returns:

### getName

    public String getName()

  Returns:

### getQueuedEvents

    public long getQueuedEvents()

  Specified by:
    `getQueuedEvents` in interface `ServiceStatsMBean`
  Returns:

### getReplyToEventsSent

    public long getReplyToEventsSent()

  Specified by:
    `getReplyToEventsSent` in interface `ServiceStatsMBean`
  Returns:

### getSyncEventsReceived

    public long getSyncEventsReceived()

  Specified by:
    `getSyncEventsReceived` in interface `ServiceStatsMBean`
  Returns:

### getSyncEventsSent

    public long getSyncEventsSent()

  Specified by:
    `getSyncEventsSent` in interface `ServiceStatsMBean`
  Returns:

### getTotalEventsReceived

    public long getTotalEventsReceived()

  Specified by:
    `getTotalEventsReceived` in interface `ServiceStatsMBean`
  Returns:

### getTotalEventsSent

    public long getTotalEventsSent()

  Specified by:
    `getTotalEventsSent` in interface `ServiceStatsMBean`
  Returns:

### getTotalExecutionTime

    public long getTotalExecutionTime()

  Specified by:
    `getTotalExecutionTime` in interface `ServiceStatsMBean`
  Returns:

### preRegister

    public ObjectName preRegister(MBeanServer server,
                                  ObjectName name)
                           throws Exception

  Specified by:
    `preRegister` in interface `MBeanRegistration`
  Throws:
    `Exception`

### postRegister

    public void postRegister(Boolean registrationDone)

  Specified by:
    `postRegister` in interface `MBeanRegistration`

### preDeregister

    public void preDeregister()
                       throws Exception

  Specified by:
    `preDeregister` in interface `MBeanRegistration`
  Throws:
    `Exception`

### postDeregister

    public void postDeregister()

  Specified by:
    `postDeregister` in interface `MBeanRegistration`

### getRouterInbound

    public ObjectName getRouterInbound()

### getRouterOutbound

    public ObjectName getRouterOutbound()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.